# Jupyter 快捷键

## 写在前面

Jupyter Notebook 有两种键盘输入模式：编辑模式，命令模式。编辑模式中允许往单元中键入代码或文本，这时的单元框线是绿色的。命令模式中键盘输入运行程序命令，这时的单元框线是灰色的。

## 命令模式

| 快捷键       | 功能                             |
| ------------ | -------------------------------- |
| Enter        | 转入编辑模式                     |
| Ctrl Enter   | 运行本单元                       |
| Shift Enter  | 运行本单元，同时选中下个单元     |
| Alt Enter    | 运行本单元，同时在下方插入新单元 |
| Y            | 设置单元为代码状态               |
| M            | 设置单元为markdown状态           |
| R            | 设置单元为raw状态                |
| Up/K         | 选中上方单元                     |
| Down/J       | 选中下方单元                     |
| Shift Up/K   | 扩大选中上方单元                 |
| Shift Down/J | 扩大选中下方单元                 |
| A            | 在上方插入新单元                 |
| B            | 在下方插入新单元                 |
| X            | 剪切选中的单元                   |
| C            | 复制选中的单元                   |
| V            | 粘贴到单元下方                   |
| Shift V      | 粘贴到单元上方                   |
| Z            | 恢复删除的最后一个单元           |
| D,D          | 删除选中的单元                   |
| Shift M      | 合并选中的单元                   |
| Ctrl S       | 保存文件                         |
| S            | 保存文件                         |
| L            | 开关行号                         |
| O            | 折叠输出                         |
| Shift O      | 转换输出滚动                     |
| Esc          | 关闭页面（取消单元格选中）       |
| Q            | 关闭页面                         |
| H            | 显示快捷键帮助                   |
| I,I          | 中断Notebook内核                 |
| 0,0          | 重启Notebook内核                 |

## 编辑模式

| 快捷键       | 功能                         |
| ------------ | ---------------------------- |
| Tab          | 代码补全或缩进               |
| Shift Tab    | 提示                         |
| Ctrl ]       | 缩进                         |
| Ctrl [       | 解除缩进                     |
| Ctrl A       | 全选                         |
| Ctrl Z       | 撤回                         |
| Ctrl Shift Z | 复原                         |
| Ctrl Y       | 复原                         |
| Ctrl Home    | 跳到单元开头                 |
| Ctrl End     | 跳到单元格结尾               |
| ESC          | 进入命令模式                 |
| Ctrl M       | 进入命令模式                 |
| Shift Enter  | 运行本单元，选中下个单元     |
| Ctrl Enter   | 运行本单元                   |
| Alt Enter    | 运行本单元，在下面插入新单元 |
| Ctrl Shift - | 分割单元                     |
| Shift        | 忽略                         |
| Up           | 光标上移或转入上个单元       |
| Down         | 光标下移或转入下个单元       |