# OpenStack 云主机类型 命名规则

## 云主机类型 命名格式

云主机类型命名采用三段式命名(AB.C.D)，中间使用"."进行连接。示例如下。

![云主机类型名称示例](images/云主机类型名称示例.png)

其中：

* AB代表当前规格的代系名称：
  * A表示系列
  * B表示系列号
* C表示规格，当前规格的vCPU核数，例如：small、medium、large、xlarge、2xlarge、4xlarge、8xlarge等。
* D表示内存、vCPU比，具体数字表示，例如4表示内存和vCPU的比值为4。

规格与vCPU核数对应关系如下表：

| 规格    | vCPU                       |
| ------- | -------------------------- |
| small   | 1                          |
| medium  | 1                          |
| large   | 2                          |
| xlarge  | 4                          |
| Nxlarge | N*4，N值越大，vCPU核数越多 |

硬盘默认均为50GB，
