# OpenStack 镜像 命名规则

在使用中各种类型的镜像会不断增多，在管理和查找中都会比较凌乱，为了方便管理和协同，参考多篇文档，制定以下镜像命名规则，本规则适用于各种需要保存镜像场合。

## Linux

**参考案例**

| 镜像名                           | 系统名 | 版本号   | 系统架构        | 其他         |
| -------------------------------- | ------ | -------- | --------------- | ------------ |
| CentOS-8.5.2111-x86_64-dvd1.iso  | CentOS | 8.5.2111 | x86架构64位系统 | 完全安装镜像 |
| CentOS-8.5.2111-x86_64-boot.iso  | CentOS | 8.5.2111 | x86架构64位系统 | 最小安装镜像 |
| CentOS-8.5.2111-aarch64-dvd1.iso | CentOS | 8.5.2111 | Arm架构64位     | 安装镜像     |

