# Python pip 使用第三方库安装

## 前言

在Python使用中需要用到pip去安装地方的库，但是在国内有时候连接不到服务器或下载速度太慢，这里推荐两种解决方案。

## 永久修改
通过配置pip的配置文件让pip在安装时直接使用国内的镜像服务器。

``` shell
vim ~/.pip/pip.conf
[global]
index-url = https://mirrors.aliyun.com/pypi/simple/

[install]
trusted-host = mirrors.aliyun.com
```
## 临时修改
在pip的安装命令中使用`-i`参数指定第三方库。
