## Ceph安装

### cephadm

使用cephadm安装，安装cephadm，选择版本，执行安装命令

```bash
$ curl --silent --remote-name --location https://github.com/ceph/ceph/raw/quincy/src/cephadm/cephadm
$ chmod +x cephadm

# 选择发行版
$ ./cephadm add-repo --release nautilus
# 选择指定版本
$ ./cephadm add-repo --version 15.2.1
# 选择开发分支
$ ./cephadm add-repo --dev my-branch

$ ./cephadm install ceph-common
```

### 手动安装

**RHEL系**

在安装前需配置ceph仓库

```bash
# 安装前置包
$ yum install snappy leveldb gdisk python-argparse gperftools-libs
# 安装ceph
$ yum install ceph
```

> CentOS 8中`python-argparse`是否要换为Python3版本？？？
>
> python-argparse -->python3-argparse-manpage ？

![image-20220501093354491](images/image-20220501093354491.png)
